<?php namespace App\Http\Requests;
 
use Illuminate\Foundation\Http\FormRequest;
 
class ImputationRequest extends FormRequest {
    public function rules() {
    

        return [
            'id' => '',
            'cpt_imp' => 'required',
            'designation' => 'required',
            'montant' => 'required',
            'type_imp' => 'required',
            'obs' => '',
            'idmandat' => 'required',
        ];
    }
 

     public function attributes() {
        return [
            //'id' => '',
            'cpt_imp' => 'Compte d\'imputation',
            'designation' => 'Désignation',
            'montant' => 'Montant',
            'type_imp' => 'bType d\'imputation',
            'obs' => 'Observations',
            'idmandat' => 'Mandat',
        ];
    }


    public function authorize() {
        return true;
    }
}












